Subject: Re: Fwd: The IESG Approved the Expansion of the AS Number Registry

From: "Tom.Petch" <[email-masked]>
Date: Fri, 29 Dec 2006 11:39:55 +0100

From: "Henk Uijterwaal" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, November 29, 2006 2:30 PM
Subject: Re: Fwd: The IESG Approved the Expansion of the AS Number Registry

<snip>

>
> There is:
>
>    Canonical Textual Representation of 4-byte AS Numbers
>    draft-michaelson-4byte-as-representation-02
>
> describing the format of ASN32 and
>
>    RPSL extensions for 32 bit AS Numbers
>    draft-uijterwaal-rpsl-4byteas-ext-01.txt
>
> describing what has to be changed in RPSL based tools for ASN32.  For
> the latter draft, there is no good place in the IETF right now, but I
> do welcome comments.
>
> Henk
>
Henk

draft-michaelson-4byte-as-representation-02 was last called on the idr list so
that is where I think that draft-uijterwaal-rpsl-4byteas-ext-01.txt should be
discussed

However, draft-michaelson-4byte-as-representation-02 did come in for criticism
(some relayed from NANOG), with perhaps not enough consensus for it to go
forward. Its current status is 'Awaiting writeup' (by AD).

Alternatively, there are some fine RIPE lists where this could be raised:-)

Tom Petch

> ------------------------------------------------------------------------------
> Henk Uijterwaal                           Email: henk.uijterwaal(at)ripe.net
> RIPE Network Coordination Centre          http://www.amsterdamned.org/~henk
> P.O.Box 10096          Singel 258         Phone: +31.20.5354414
> 1001 EB Amsterdam      1016 AB Amsterdam  Fax: +31.20.5354445
> The Netherlands        The Netherlands    Mobile: +31.6.55861746
> ------------------------------------------------------------------------------
>
> # Lawyer: "Now sir, I'm sure you are an intelligent and honest man--"
> # Witness: "Thank you. If I weren't under oath, I'd return the compliment."
>
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: David Conrad <[email-masked]>
Date: Fri, 29 Dec 2006 12:19:43 -0800

[apologies for duplicates]

Hi,

If people want a representation for 32 bit AS numbers different than  
that described in draft-michaelson-4byte-as-representation-02, they  
should come to a consensus very, very soon and tell IANA about it.   
32-bit ASNs have been discussed for several years now and (according  
to the Michaelson draft), RIRs and some router vendors have already  
adopted the "<16-bit>.<16-bit>" notation.  As such, and since the  
RIRs are going to start allocating 32-bit ASNs starting Jan 1, 2007,  
IANA chose to use that notation (to be clear, IANA doesn't really  
have a strong opinion on what notation is used, but we do have a  
strong opinion that one must be chosen).

Obviously, if we're going to change the notation, we should do so  
_REAL SOON NOW_.

Rgds,
-drc